Update profile image
curl --request PUT \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/user/{id}/profile-image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form image='@example-file'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/user/{id}/profile-image"
files = { "image": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('image', '<string>');
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/user/{id}/profile-image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"profile_image_url": "<string>"
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {}
}{
"message": "<string>",
"success": false,
"code": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>"
}Auth
Update profile image
Replaces the existing profile image. Returns the updated profile_image_url.
PUT
/
auth
/
user
/
{id}
/
profile-image
Update profile image
Authorizations
Access token
Path Parameters
user ID
Body
multipart/form-data
Response
OK
A descriptive message confirming the success or failure of the update operation.
Indicates whether the request was successful or failure (true for success, false for failure).
An object containing the response content.
Show child attributes
Show child attributes
Was this page helpful?
⌘I